## r-cran-fontliberation 0.1.0%2Bdfsg

=== debian/changelog ===
r-cran-fontliberation (0.1.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Re-add fonts-liberation2 to deps (Closes: #961352)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 25 May 2020 09:32:53 +0200

r-cran-fontliberation (0.1.0+dfsg-3) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 21:49:54 +0200

r-cran-fontliberation (0.1.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Feb 2020 07:18:12 +0100

r-cran-fontliberation (0.1.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #928656)

 -- Andreas Tille <tille@debian.org>  Wed, 08 May 2019 13:56:16 +0200

## r-cran-fontliberation 0.1.0+dfsg

=== DESCRIPTION ===
Package: fontLiberation
Title: Liberation Fonts
Version: 0.1.0
Authors@R: c(
    person("Lionel", "Henry", , "lionel@rstudio.com", "cre"),
    person("Pravin Satpute", role = "aut"),
    person("Steve Matteson", role = "aut"),
    person("Red Hat, Inc", role = "cph"),
    person("Google Corporation", role = "cph"))
Description: A placeholder for the Liberation fontset intended for the
    `fontquiver` package. This fontset covers the 12 combinations of
    families (sans, serif, mono) and faces (plain, bold, italic, bold
    italic) supported in R graphics devices.
Depends: R (>= 3.0)
License: file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2016-10-14 14:21:59 UTC; lionel
Author: Lionel Henry [cre],
  Pravin Satpute [aut],
  Steve Matteson [aut],
  Red Hat, Inc [cph],
  Google Corporation [cph]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2016-10-15 11:24:18
License_is_FOSS: yes

=== debian/changelog ===
r-cran-fontliberation (0.1.0+dfsg-6) unstable; urgency=medium

  * Build-Depends: s/woff-tools/sfnt2woff-zopfli/ since woff-tools
    is outdated
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright: Fix License name (thanks to lrc)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2024 14:25:29 +0100

r-cran-fontliberation (0.1.0+dfsg-5) unstable; urgency=medium

  [ Nilesh Patra ]
  * Symlink to fonts-liberation instead of fonts-liberation2
    (see bug #1039955)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2
  * Depends: fonts-liberation
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 07:53:49 +0200

=== debian/control ===
Source: r-cran-fontliberation
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fontliberation
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fontliberation.git
Homepage: https://cran.r-project.org/package=fontLiberation
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               fonts-liberation,
               sfnt2woff-zopfli
Testsuite: autopkgtest-pkg-r

Package: r-cran-fontliberation
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         fonts-liberation
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Liberation Fonts for GNU R
 A placeholder for the Liberation fontset intended for the
 `fontquiver` package. This fontset covers the 12 combinations of
 families (sans, serif, mono) and faces (plain, bold, italic, bold
 italic) supported in R graphics devices.

=== debian/rules ===
#!/usr/bin/make -f

DEBFONTNAME=liberation
RFONTNAME=liberation-fonts

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	set -x ; \
	set -e ; \
	tmpdir=`mktemp -d` ; \
	cd $${tmpdir} ; \
	cp -a /usr/share/fonts/truetype/$(DEBFONTNAME)/*.ttf . ; \
	for ttf in *.ttf ; do sfnt2woff-zopfli $${ttf} ; done ; \
	mv *.woff $(CURDIR)/inst/fonts/$(RFONTNAME) ; \
	cd $(CURDIR) ; \
	rm -rf $${tmpdir}
	# Main install script is called here to fetch *.woff lintian issue for manually installed files
	dh_auto_install
	rm $(CURDIR)/inst/fonts/$(RFONTNAME)/*.woff
	find debian -name LICENSE -delete
